## org.jboss.jms.ra
Class JmsMetaData

    java.lang.Object
      |
      +--org.jboss.jms.ra.JmsMetaData

All Implemented Interfaces:
  javax.resource.spi.ManagedConnectionMetaData

public class JmsMetaData
extends java.lang.Object
implements javax.resource.spi.ManagedConnectionMetaData

JmsMetaData.java Created: Sat Mar 31 03:36:27 2001

Version:
  $Revision: 1.1.4.2 $
Author:
  Peter Antman.

Constructor Summary
`JmsMetaData(JmsManagedConnection mc)`

Method Summary
`java.lang.String` `getEISProductName()`
`java.lang.String` `getEISProductVersion()`
`int` `getMaxConnections()`
`java.lang.String` `getUserName()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JmsMetaData

    public JmsMetaData(JmsManagedConnection mc)

Method Detail

### getEISProductName

    public java.lang.String getEISProductName()
                                       throws javax.resource.ResourceException

  Specified by:
    `getEISProductName` in interface `javax.resource.spi.ManagedConnectionMetaData`

### getEISProductVersion

    public java.lang.String getEISProductVersion()
                                          throws javax.resource.ResourceException

  Specified by:
    `getEISProductVersion` in interface `javax.resource.spi.ManagedConnectionMetaData`

### getMaxConnections

    public int getMaxConnections()
                          throws javax.resource.ResourceException

  Specified by:
    `getMaxConnections` in interface `javax.resource.spi.ManagedConnectionMetaData`

### getUserName

    public java.lang.String getUserName()
                                 throws javax.resource.ResourceException

  Specified by:
    `getUserName` in interface `javax.resource.spi.ManagedConnectionMetaData`

Copyright © 2000 The JBoss Organization. All Rights Reserved.